container:
  image:
    tags: 2.9-alpine
  env:
    # different from k8s units, suffix must be B, KiB, MiB, GiB, or TiB
    # should be ~90% of memory limit
    GOMEMLIMIT: 400MiB
  merge:
    # recommended limit is at least 2 CPU cores and 8Gi Memory for production JetStream clusters
    resources:
      requests:
        cpu: 1 # 2
        memory: 500Mi # 4Gi
      limits:
        cpu: 1 # 4
        memory: 1Gi # 8Gi 

config:
  cluster:
    enabled: true
    replicas: 3
  jetstream:
    enabled: true
    fileStore:
      pvc:
        size: 4Gi
    
# Force one pod per node, if possible
podTemplate:
  topologySpreadConstraints:
    kubernetes.io/hostname:
      maxSkew: 1
      whenUnsatisfiable: ScheduleAnyway
      